package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * UpdateApChannelConfigOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class UpdateApChannelConfigOpenApiVo   {
  @JsonProperty("radioId")
  private Integer radioId;

  @JsonProperty("radioEnable")
  private Boolean radioEnable;

  @JsonProperty("channel")
  private Integer channel;

  @JsonProperty("channelWidth")
  private Integer channelWidth;

  public UpdateApChannelConfigOpenApiVo radioId(Integer radioId) {
    this.radioId = radioId;
    return this;
  }

  /**
   * (Wireless) Radio ID should be a value as follows: 0: 2.4GHz; 1: 5GHz(5GHz-1); 2: 5GHz-2; 3: 6GHz.
   * @return radioId
  */
  @ApiModelProperty(required = true, value = "(Wireless) Radio ID should be a value as follows: 0: 2.4GHz; 1: 5GHz(5GHz-1); 2: 5GHz-2; 3: 6GHz.")
  @NotNull


  public Integer getRadioId() {
    return radioId;
  }

  public void setRadioId(Integer radioId) {
    this.radioId = radioId;
  }

  public UpdateApChannelConfigOpenApiVo radioEnable(Boolean radioEnable) {
    this.radioEnable = radioEnable;
    return this;
  }

  /**
   * Enable/Disable radio setting(if false, other params is not required)
   * @return radioEnable
  */
  @ApiModelProperty(required = true, value = "Enable/Disable radio setting(if false, other params is not required)")
  @NotNull


  public Boolean getRadioEnable() {
    return radioEnable;
  }

  public void setRadioEnable(Boolean radioEnable) {
    this.radioEnable = radioEnable;
  }

  public UpdateApChannelConfigOpenApiVo channel(Integer channel) {
    this.channel = channel;
    return this;
  }

  /**
   * Radios-Channel config; The channel list supported by device can be obtained from interface : Get available channel list of ap; If select auto configuration need to enter 0.
   * @return channel
  */
  @ApiModelProperty(value = "Radios-Channel config; The channel list supported by device can be obtained from interface : Get available channel list of ap; If select auto configuration need to enter 0.")


  public Integer getChannel() {
    return channel;
  }

  public void setChannel(Integer channel) {
    this.channel = channel;
  }

  public UpdateApChannelConfigOpenApiVo channelWidth(Integer channelWidth) {
    this.channelWidth = channelWidth;
    return this;
  }

  /**
   * Radios-Channel width config; The channelWidth list supported by device can be obtained from interface : Get available channel list of ap; If select auto configuration need to enter 0.
   * @return channelWidth
  */
  @ApiModelProperty(value = "Radios-Channel width config; The channelWidth list supported by device can be obtained from interface : Get available channel list of ap; If select auto configuration need to enter 0.")


  public Integer getChannelWidth() {
    return channelWidth;
  }

  public void setChannelWidth(Integer channelWidth) {
    this.channelWidth = channelWidth;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    UpdateApChannelConfigOpenApiVo updateApChannelConfigOpenApiVo = (UpdateApChannelConfigOpenApiVo) o;
    return Objects.equals(this.radioId, updateApChannelConfigOpenApiVo.radioId) &&
        Objects.equals(this.radioEnable, updateApChannelConfigOpenApiVo.radioEnable) &&
        Objects.equals(this.channel, updateApChannelConfigOpenApiVo.channel) &&
        Objects.equals(this.channelWidth, updateApChannelConfigOpenApiVo.channelWidth);
  }

  @Override
  public int hashCode() {
    return Objects.hash(radioId, radioEnable, channel, channelWidth);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class UpdateApChannelConfigOpenApiVo {\n");
    
    sb.append("    radioId: ").append(toIndentedString(radioId)).append("\n");
    sb.append("    radioEnable: ").append(toIndentedString(radioEnable)).append("\n");
    sb.append("    channel: ").append(toIndentedString(channel)).append("\n");
    sb.append("    channelWidth: ").append(toIndentedString(channelWidth)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

